package de.tud.kom.p2psim.impl.topology.movement.modularosm.movementIconVisualisation;

/**
 * Mapping of objects to icons, for usage with the {@link ModularMovementIconVis}, especially
 * if the config files.
 *
 * @author Clemens Krug
 */
public class IconMapping
{
    private String object;
    private String iconpath;

    public void setObject(String icon)
    {
        object = icon;
    }

    public void setIconPath(String path)
    {
        iconpath = path;
    }

    public String getObject() {
        return object;
    }

    public String getIconpath() {
        return iconpath;
    }
}
